# -*- coding: utf-8 -*-
from setuphelpers import *


def install():

    run(f"reg import {get_persistent_package_file('enable.reg')}")


def uninstall():

    if reg_key_exists(HKEY_CLASSES_ROOT, "Applications\photoviewer.dll"):
        print("Registry key found")
        run(f"reg import {get_persistent_package_file('disable.reg')}")
    else:
        print("Registry key not found, re-run installation")


def audit():
    if reg_key_exists(HKEY_CLASSES_ROOT, "Applications\photoviewer.dll"):
        print("Reg key found")
        return "OK"
    else:
        print("Reg key not found")
        return "ERROR"


def get_persistent_package_file(fname):
    if isdir(makepath(os.getcwd(), "WAPT", "persistent")):
        return makepath(os.getcwd(), "WAPT", "persistent", fname)
    else:
        return makepath(WAPT.persistent_root_dir, control.package_uuid, fname)


def get_persistent_package_dir():
    if isdir(makepath(os.getcwd(), "WAPT", "persistent")):
        return makepath(os.getcwd(), "WAPT", "persistent")
    else:
        return makepath(WAPT.persistent_root_dir, control.package_uuid)
